ContentLengthExceededException (Apache Struts API Documentation)
Keywords: org.apache.struts.upload.ContentLengthExceededException,ContentLengthExceededException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.upload
Class ContentLengthExceededException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--org.apache.struts.upload.ContentLengthExceededException

All Implemented Interfaces:
  java.io.Serializable

public class ContentLengthExceededException
extends java.io.IOException

This exception is thrown when multipart post data exceeds the value given by the Content-Length header

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `message`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`ContentLengthExceededException()`
`ContentLengthExceededException(long contentLength)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

Constructor Detail

### ContentLengthExceededException

    public ContentLengthExceededException()

### ContentLengthExceededException

    public ContentLengthExceededException(long contentLength)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 - Apache Software Foundation